
<!DOCTYPE HTML>
<html lang="en">

<head>
<title>Double Hashing Exercise</title>
<link rel="stylesheet" href="../css/style.css" type="text/css">
</head>

<body>
<div class="instructionbox">
    <b>Instructions</b>:
    <ul>
        <li>Insert 1, 21, 75, 33, 41 and 44 in the given hash table using mod 10 as the hash function.</li>
        <li>Type the numbers in the correct places in the hash table.</li>
        <li>Click on Submit once you are done.</li>
    </ul>
</div>
<div class="thetable">
    <div class="valuerow">
        <p id="valuelabel">Hash Values</p>
        <input class="values" type="text" id="0" name="zero" autocomplete="off">
        <input class="values" type="text" id="1" name="one" autocomplete="off">
        <input class="values" type="text" id="2" name="two" autocomplete="off">
        <input class="values" type="text" id="3" name="three" autocomplete="off">
        <input class="values" type="text" id="4" name="four" autocomplete="off">
        <input class="values" type="text" id="5" name="five" autocomplete="off">
        <input class="values" type="text" id="6" name="six" autocomplete="off">
        <input class="values" type="text" id="7" name="seven" autocomplete="off">
        <input class="values" type="text" id="8" name="eight" autocomplete="off">
        <input class="values" type="text" id="9" name="nine" autocomplete="off">
    </div>

    <div class="indexrow">
        <p id="indexlabel">Indices</p>
        <button class="indices" id="button0">0</button>
        <button class="indices" id="button1">1</button>
        <button class="indices" id="button2">2</button>
        <button class="indices" id="button3">3</button>
        <button class="indices" id="button4">4</button>
        <button class="indices" id="button5">5</button>
        <button class="indices" id="button6">6</button>
        <button class="indices" id="button7">7</button>
        <button class="indices" id="button8">8</button>
        <button class="indices" id="button9">9</button>
    </div>
</div>

<div class="buttons">
    <button id="submitbutton" onclick="check1('dh')">Submit</button>
    <button id="restartbutton" onclick="restart1()">Restart</button>
</div>
<p id="legend1"><input id="correctindex1" type="text" readonly> Correct <input id="incorrectindex1" type="text"
        readonly> Incorrect</p>
<p id="collision"></p>
</body>
<script src="../js/exercise_artefacts.js" type="text/javascript"></script>

</html>
